     function Jac = jacobian(t,u)

% The MatMol Group (2009)...

%... Set global variables
     global mu r K;
     global z0 zL z n D1;
     global tresh fac vectorized
%...
%... analytical Jacobian matrix
%	 Jac = mu*D1*D1 + diag(r*(1-u/K));
%...
%... numerical Jacobian matrix
     ut = algae_bloom_pde(t,u);
     [Jac, fac] = numjac(@algae_bloom_pde,t,u,ut,tresh,fac,vectorized);