% The MatMol Group (2009)...
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% implement the boundary conditions in Dirichlet form and add the boundary nodes % 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%...
     function [u z] = Bcintroduct(t,x)
     
     global n ne zL zR
%...
%... separate dependent variables and node positions
%...
     for j=1:ne,
         u(2:n+1,j)=x(j:ne+1:n*(ne+1));
     end
     z=[zL x(ne+1:ne+1:n*(ne+1))' zR];
%...
%... implement the BCs
%...
     u(1,1)=u(2,1);
     u(1,2)=0;
     u(1,3)=u(2,3);
     u(n+2,1)=u(n+1,1);
     u(n+2,2)=0;
     u(n+2,3)=u(n+1,3);
