    function ut = algae_bloom_pde(t,u)

% The MatMol Group (2009)...

%... set global variables
     global mu r K kd;
     global z0 zL z n D1;
%...
%... boundary conditions at z = 0
     u(1)=0;
%...
%... boundary conditions at z = L
     u(n)=0;
%...
%... spatial derivatives (stagewise differentiation)
%...    
    uz = D1*u;
    uzz = D1*uz;
%...
%... temporal derivatives
%...
     ut = mu*uzz + r*u.*(1-u/K);
     ut(1)=0;
     ut(n)=0;
