    function mt = burgers_pde_LSD(t,m)

%... The MatMol Group (2009)

%... set global variables
     global mu Phi proj_op lambda
     global x Grad_op

% Recovery the transformed field
z_bar   = Phi*m;

% Recovery the original field
z_trans = -0.9*x + 1;
z       = z_bar + z_trans;
     
%...
%... first-order spatial derivative
     fx     = Grad_op*(0.5*z.^2);
     pfx    = proj_op*fx;
%...
%... temporal derivatives
%...
     mt =  - pfx - lambda*m;